Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161886 - soffice should not set LD_LIBRARY_PATH
Summary: soffice should not set LD_LIBRARY_PATH
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 05:06 UTC by dann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.115-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 20:13:58 UTC


Attachments (Terms of Use)

Description dann 2005-06-28 05:06:08 UTC
Description of problem:
The /usr/lib/openoffice.org1.9.104/program/soffice script sets LD_LIBRARY_PATH
before invoking the soffice.bin binary. 
soffice.bin does not need the LD_LIBRARY_PATH, running
/usr/lib/openoffice.org1.9.104/program/soffice.bin from the shell works.

This causes lots lots of extra sytems calls during start up in order to 
find shared libraries. This can be easily verified by changing the line in
/usr/lib/openoffice.org1.9.104/program/soffice that reads
"$sd_prog/$sd_binary" "$@"
to
strace -o /tmp/soffice.out "$sd_prog/$sd_binary" "$@"

The number of lines in soffice.out decreases from 34000 to 9400 if
LD_LIBRARY_PATH is set to be empty ... 

This should impact the startup time, but I don't know how to measure that.

Version-Release number of selected component (if applicable):
openoffice.org-1.9.104-2

Comment 1 Caolan McNamara 2005-06-28 08:26:44 UTC
At the moment one or two libraries, e.g. libsndfile and libportaudio do not have
an rpath of $ORIGIN yet and still require the LD_LIBRARY_PATH. But yes, it's
best to get rid of LD_LIBRARY_PATH

Comment 2 Caolan McNamara 2005-07-05 07:54:26 UTC
Will sort out all remaining LD_LIBRARY_PATH requiring libraries and do this for
>= 1.9.114-2

Comment 3 Caolan McNamara 2005-07-07 20:13:58 UTC
done in 1.9.115-1 rawhide


Note You need to log in before you can comment on or make changes to this bug.